package ru.yandex.autotests.direct.web.pages.campaigns.strategy;

import org.hamcrest.Matcher;

import ru.yandex.autotests.direct.utils.strategy.objects.CampaignStrategyInfoWeb;
import ru.yandex.autotests.direct.utils.strategy.objects.StrategyInfoWeb;
import ru.yandex.autotests.direct.web.pages.ExtendedHtmlElement;

/**
 * Created with IntelliJ IDEA.
 * User: alexey-n
 * Date: 07.11.13
 * Time: 14:08
 * To change this template use File | Settings | File Templates.
 */
public interface IStrategyBlock {

    void fillStrategy(StrategyInfoWeb bean);

    void checkStrategy(StrategyInfoWeb expectedBean);

    CampaignStrategyInfoWeb getStrategy(CampaignStrategyInfoWeb expectedBean);

    void saveForm();

    void checkDayBudget(StrategyInfoWeb expectedBean);

    void fillDayBudget(StrategyInfoWeb bean);

    void checkDayBudgetBlock(Matcher matcher);

    void checkDayBudgetAlert(Matcher<String> matcher);

    void checkErrorText(Matcher<String> matcher);

    ExtendedHtmlElement getStrategyBlock();
}
